## fuss-fucc 12.1.15

=== Makefile ===
CLONEZILLA_SOURCE="https://downloads.sourceforge.net/project/clonezilla/clonezilla_live_stable/2.6.2-15/clonezilla-live-2.6.2-15-i686.zip?r=https%3A%2F%2Fsourceforge.net%2Fprojects%2Fclonezilla%2Ffiles%2Fclonezilla_live_stable%2F2.6.2-15%2Fclonezilla-live-2.6.2-15-i686.zip%2Fdownload%3Fuse_mirror%3Dnetix&ts=1568208151"
CLONEZILLA_SAVE_TO="../clonezilla-orig.zip"


all: 


full-clean:
	rm -f ${CLONEZILLA_SAVE_TO}
	rm -rf live


download:
	test -e ${CLONEZILLA_SAVE_TO} || wget -O ${CLONEZILLA_SAVE_TO} ${CLONEZILLA_SOURCE}


prepare-clonezilla: download
	test -e live || unzip ${CLONEZILLA_SAVE_TO} live/*
	rm -f live/filesystem.packages live/filesystem.packages-remove live/filesystem.size live/freedos.img live/ipxe.efi live/ipxe.lkn live/memtest


rebuild-squashfs: prepare-clonezilla
	useradd clonezilla || true
	cd live; test -e squashfs-root || unsquashfs filesystem.squashfs
	cd live/squashfs-root; test -e home/clonezilla/.ssh || mkdir -p home/clonezilla/.ssh
	cd live/squashfs-root/home/clonezilla/.ssh; test -e id_rsa || ssh-keygen -t rsa -N "" -f id_rsa -C "clonezilla@fucc-live"
	chmod 700 live/squashfs-root/home/clonezilla/.ssh
	chmod 600 live/squashfs-root/home/clonezilla/.ssh/id_rsa
	chmod 644 live/squashfs-root/home/clonezilla/.ssh/id_rsa.pub
	chown -R clonezilla. live/squashfs-root/home/clonezilla/.ssh
	cd live; rm -f filesystem.squashfs; mksquashfs squashfs-root filesystem.squashfs -comp zstd
	rm -f live/squashfs-root/home/clonezilla/.ssh/id_rsa
	cp live/squashfs-root/home/clonezilla/.ssh/id_rsa.pub utils/clonezilla_live.pub


no-rebuild-squashfs: download
	test -e live || unzip ${CLONEZILLA_SAVE_TO} live/*
	echo "NO KEY HERE - BUSTER BUILD" > utils/clonezilla_live.pub

## fuss-fucc 12.1.10

=== debian/changelog ===
fuss-fucc (12.1.10) unstable; urgency=medium

  * Added machine-id regeneration by clientScript

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 13 Feb 2025 15:43:09 +0100

fuss-fucc (12.1.9) unstable; urgency=medium

  * Added /srv/clonezilla/clientScripts/wireless_conf to the list of
    configuration files. Closes #4.

 -- Elena Grandi <valhalla@debian.org>  Wed, 11 Dec 2024 12:11:22 +0100

fuss-fucc (12.1.8) unstable; urgency=medium

  * Refined some controls with grep
  * Fixed the function of checking allowed cluster names

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Mon, 09 Dec 2024 18:22:31 +0100

fuss-fucc (12.1.7) unstable; urgency=medium

  * Reversed some dialog defaults from yes to no 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Tue, 22 Oct 2024 18:12:44 +0200

fuss-fucc (12.1.6) unstable; urgency=medium

  * Added regeneration of client ssh keys 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 17 Oct 2024 21:38:57 +0200

fuss-fucc (12.1.5) unstable; urgency=medium

  [ Paolo Dongilli ]
  * Corrected in script exclusion of wlan devices

  [ Claudio Cavalli ]
  * Command fuss-client -a replaced by fuss-client -H $HOSTNAME 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 10 Oct 2024 17:39:33 +0200

fuss-fucc (12.1.4) unstable; urgency=medium

  * Add check if there are more than one occurrences of macAddress 
  * in computerList and if so delete all occurrences

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Fri, 19 Jan 2024 13:42:04 +0100

fuss-fucc (12.1.3) unstable; urgency=medium

  * Corrected wifi configuration

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 17 Jan 2024 22:50:20 +0100

fuss-fucc (12.1.2) unstable; urgency=medium

  * Introduced new options to also install standalone, 
  * change PC configurations, and interactively 
  * add the machine to the computerList

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 17 Jan 2024 19:05:37 +0100

fuss-fucc (12.1.1) unstable; urgency=medium

  * Error correction

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 10 Jan 2024 13:57:52 +0100

fuss-fucc (12.1.0) unstable; urgency=medium

  * Added new fuss-client options, including in interactive mode

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 10 Jan 2024 13:32:50 +0100

fuss-fucc (12.0.0) unstable; urgency=medium

  * Added enhancements to script
  * Version bump

 -- Paolo Dongilli <dongilli@fuss.bz.it>  Tue, 19 Sep 2023 19:09:46 +0200

fuss-fucc (0.5.17) unstable; urgency=medium

  * Modified clientScript.

 -- Paolo Dongilli <dongilli@fuss.bz.it>  Mon, 08 May 2023 11:40:36 +0200

fuss-fucc (0.5.16) unstable; urgency=medium

  * Only stop if there are multiple *non-removable* disks.

 -- Elena Grandi <elena@truelite.it>  Mon, 28 Nov 2022 14:09:25 +0100

fuss-fucc (0.5.15) unstable; urgency=medium

  * Fix disabling of unattended-upgrades.

 -- Elena Grandi <elena@truelite.it>  Mon, 28 Nov 2022 11:32:25 +0100

fuss-fucc (0.5.14) unstable; urgency=medium

  * Stop looking for fuss-client in the swap partition.
  * Fix detection of EFI partition.
  * Disable unattended-upgrades while running fuss-fucc.

 -- Elena Grandi <elena@truelite.it>  Wed, 23 Nov 2022 11:41:39 +0100

fuss-fucc (0.5.13) testing; urgency=medium

  * Modificato script per permettere aggiornamento

 -- Paolo Dongilli <dongilli@fuss.bz.it>  Wed, 12 Oct 2022 02:50:36 +0200

fuss-fucc (0.5.12) testing; urgency=high

  * Allow release info change (stable -> oldstable)
  * update fuss-client package before joning cluster

 -- Marco Marinello <mmarinello@fuss.bz.it>  Sun, 21 Nov 2021 10:56:55 +0100

fuss-fucc (0.5.11) unstable; urgency=medium

  * New script version with improvements for UEFI-only machines

 -- Paolo Dongilli <dongilli@fuss.bz.it>  Wed, 28 Jul 2021 16:31:38 +0200

fuss-fucc (0.5.10) unstable; urgency=medium

  [ Donato Florio ]
  * New script version

 -- Elena Grandi <elena@truelite.it>  Tue, 29 Jun 2021 10:12:14 +0200

fuss-fucc (0.5.9) unstable; urgency=medium

  * Improve clone stability while working with disks of different size
  * Improve join stability: check if the server is pingable before proceeding

 -- Marco Marinello <mmarinello@fuss.bz.it>  Mon, 16 Nov 2020 15:33:15 +0100

fuss-fucc (0.5.8) unstable; urgency=medium

  * Correction for a typo

 -- Simone Piccardi <piccardi@truelite.it>  Wed, 09 Sep 2020 10:57:58 +0200

fuss-fucc (0.5.7) unstable; urgency=medium

  * Reenforce root ownership of .ssh in the installed disk

 -- Simone Piccardi <piccardi@truelite.it>  Thu, 20 Aug 2020 12:18:14 +0200

fuss-fucc (0.5.6) unstable; urgency=medium

  [Donato Florio]
  * changed script and clientScript to allow rejoin of clients without cloning

 -- Paolo Dongilli <dongilli@fuss.bz.it>  Thu, 04 Jun 2020 08:25:05 +0200

fuss-fucc (0.5.5) unstable; urgency=medium

  * Remove /srv/tftp/pxelinux.cfg/default (managed by fuss-server).

  [Donato Florio]
  * automatic root partition selection + EFI stuff
  * little modification of the "dialog" interface

 -- Elena Grandi <elena@truelite.it>  Mon, 01 Jun 2020 11:11:14 +0200

fuss-fucc (0.5.4) unstable; urgency=medium

  * changed owner of /root/.ssh to root in script

 -- Paolo Dongilli <dongilli@fuss.bz.it>  Tue, 25 Feb 2020 02:31:16 +0100

fuss-fucc (0.5.3) unstable; urgency=medium

  * put computerList.txt as example in /usr/share/fuss-fucc/examples
  * changed path of live directory in pxelinux default file 

 -- Paolo Dongilli <dongilli@fuss.bz.it>  Tue, 04 Feb 2020 15:21:04 +0100

fuss-fucc (0.5.2) testing; urgency=medium

  * Install files directly under /srv .

 -- Marco Marinello <me@marcomarinello.it>  Fri, 03 Jan 2020 13:08:04 +0100

fuss-fucc (0.5.1) testing; urgency=medium

  * Remove squashfs since it will be installe by another package.

 -- Marco Marinello <me@marcomarinello.it>  Wed, 18 Dec 2019 09:50:05 +0100

fuss-fucc (0.5) testing; urgency=medium

  * Support FUSS Server on Debian Buster

 -- Marco Marinello <mmarinello@fuss.bz.it>  Fri, 06 Sep 2019 17:15:51 +0200

fuss-fucc (0.4) unstable; urgency=medium

  * version bump



=== debian/control ===
Source: fuss-fucc
Section: admin
Priority: optional
Maintainer: Marco Marinello <mmarinello@fuss.bz.it>
Build-Depends: debhelper (>= 11), pandoc, texlive, lmodern
Standards-Version: 4.1.3
Homepage: https://gitlab.fuss.bz.it/fuss/fucc
Vcs-Browser: https://gitlab.fuss.bz.it/fuss/fucc
Vcs-Git: https://gitlab.fuss.bz.it/fuss/fucc.git

Package: fuss-fucc
Architecture: all
Replaces: clonezilla-pxe
Breaks: clonezilla-pxe
Pre-Depends: fuss-server
Depends: ${misc:Depends}
Description: The FUSS Fully Unattended Clonezilla Cloning
 This package installs and configures the FUCC system.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


binary:
	pandoc -o README.txt README.md
	pandoc -o README.pdf README.md
	rm -rf ./live/squashfs-root
	dh $@


override_dh_fixperms:
	dh_fixperms
	chmod +x debian/fuss-fucc/srv/clonezilla/script
	chmod +x debian/fuss-fucc/srv/clonezilla/clientScripts/clientScript
	chmod +x debian/fuss-fucc/srv/clonezilla/clientScripts/rc.local

## fuss-fucc 12.1.15

=== debian/changelog ===
fuss-fucc (12.1.15) unstable; urgency=medium

  * Force Italian locale if not chosen by the user 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 15 Jan 2026 17:14:08 +0100

fuss-fucc (12.1.14) unstable; urgency=medium

  * Added feature to choose which disk to install the system on 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 02 Oct 2025 18:15:34 +0200

fuss-fucc (12.1.13) unstable; urgency=medium

  * Remove PDF and TXT version of README simplifying build-deps

 -- Simone Piccardi <piccardi@truelite.it>  Tue, 02 Sep 2025 10:28:51 +0200

fuss-fucc (12.1.12) unstable; urgency=medium

  * Use ssh-keygen -A to regenerate ssh host keys

 -- Simone Piccardi <piccardi@truelite.it>  Fri, 27 Jun 2025 11:00:12 +0200

fuss-fucc (12.1.11) unstable; urgency=medium

  * Correction of script 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 28 May 2025 16:18:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: fuss-fucc
 Section: admin
 Priority: optional
-Maintainer: Marco Marinello <mmarinello@fuss.bz.it>
-Build-Depends: debhelper (>= 11), pandoc, texlive, lmodern
+Maintainer: Simone Piccardi <piccardi@truelite.it>
+Build-Depends: debhelper (>= 11)
 Standards-Version: 4.1.3
 Homepage: https://gitlab.fuss.bz.it/fuss/fucc
 Vcs-Browser: https://gitlab.fuss.bz.it/fuss/fucc

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 
 binary:
-	pandoc -o README.txt README.md
-	pandoc -o README.pdf README.md
 	rm -rf ./live/squashfs-root
 	dh $@

## fuss-fucc 12.1.16

=== debian/changelog ===
fuss-fucc (12.1.16) unstable; urgency=medium

  * Modified scripts to allow client joins without home mount 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Tue, 20 Jan 2026 15:00:26 +0100

## fuss-fucc 13.0.5

=== debian/changelog ===
fuss-fucc (13.0.5) unstable; urgency=medium

  * Added features to permit join without home mount 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 22 Jan 2026 11:53:18 +0100

fuss-fucc (13.0.4) unstable; urgency=medium

  * Added check that no other client with the same hostname exists.

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 05 Nov 2025 16:17:02 +0100

fuss-fucc (13.0.3) unstable; urgency=medium

  * Added feature to script to choose which disk to install the system on
  * Force locale it_IT when installing machine  

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 02 Oct 2025 17:53:22 +0200

fuss-fucc (13.0.2) unstable; urgency=medium

  * Added a console message before starting screen for operations
  * Removed failing call to dhclient (not installed in recent Debian)

 -- Simone Piccardi <piccardi@truelite.it>  Thu, 04 Sep 2025 17:27:43 +0200

fuss-fucc (13.0.1) unstable; urgency=medium

  * Support to save operation logs into /var/log/fuss-fucc.log

 -- Simone Piccardi <piccardi@truelite.it>  Tue, 02 Sep 2025 15:39:33 +0200
